model BasicBuilder -ndm 2 -ndf 3;
#define node
node 1 0 0;
node 2 2 0;
node 3 1 0;
#define boundary condition;
fix 1 1 1 1;
fix 2 1 1 1;
fix 3 0 1 1;
#define an elastic material with Tag=1 and E=2e11.
uniaxialMaterial Steel01Thermal 1 2e11 2e11 0.01;
#define fibred section; Two fibres: fiber $yLoc $zLoc $A $matTag
set secTag 1;
section FiberThermal $secTag {
fiber -0.025 0 0.005 1;
fiber 0.025 0 0.005 1;
}; #define coordinate transforamtion: geomTransf $type $TransfTag;
#three transformation types can be chosen: Linear, PDelta, Corotational)
geomTransf Linear 1 ;
#define beam element: dispBeamColumnThermal $eleTag $iNode $jNode $numIntgrPts $secTag $TransfTag;
#"numIntgrPts" is the number of integration points along the element;
#"TransfTag" is pre-defined coordinate-transformation;
element dispBeamColumnThermal 1 1 3 3 1 1;
element dispBeamColumnThermal 2 3 2 3 1 1;
pattern Plain 1 Linear {
eleLoad -ele 1 -type -beamThermal 1000 -50 1000 50
#eleLoad -ele 2 -type -beamThermal 0 -0.05 0 0.05
};
numberer RCM;	
constraints Transformation;		
system BandGeneral;		
test NormDispIncr 0.1 100 1;	
algorithm Newton;					
integrator LoadControl 0.1;				
analysis Static;
analyze 10;					
loadConst